Subject: Re: user space virtio-net exits with "truncating packet" error

From: Rusty Russell <[email-masked]>
Date: Thu, 21 May 2009 15:23:05 +0930

On Wed, 20 May 2009 03:50:23 pm Or Gerlitz wrote:
> Rusty Russell wrote:
> > Bit 5 = VIRTIO_NET_F_MAC (the host set the mac address)
> > Bit 24 = VIRTIO_F_NOTIFY_ON_EMPTY
> > You don't have any GSO or checksum offload here
>
> Just to make sure I'm in the correct direction - I need to cause these
> offloads to be advertised by the "lower" part of virtio (e.g the qemu
> virtio code) to  the "upper" part (the quest kernel), correct? I
> understand that one of them is called front-end and the other back-end,
> but my intuitions don't go up to saying who's what...

Yes, that nomenclature is a bit weird.  I prefer "driver" (aka. guest, aka 
front-end) and "device" (aka. host, aka back-end).

All virtio_net drivers offer some features (at least CSUM offload), and 2.6.26 
and above will offer some serious GSO features.

Cheers,
Rusty.